scala.sys.process.ProcessBuilder

# FileBuilder

#### trait FileBuilder extends Sink with Source

Used when creating scala.sys.process.ProcessBuilder.Source and/or scala.sys.process.ProcessBuilder.Sink from a file.

Source
  ProcessBuilder.scala

Linear Supertypes
Source, Sink, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FileBuilder
2. Source
3. Sink
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def #<<(p: ProcessBuilder): ProcessBuilder

   Append the contents of a scala.sys.process.ProcessBuilder to this file

2. #### abstract def #<<(i: ⇒ InputStream): ProcessBuilder

   Append the contents of a `java.io.InputStream` to this file

3. #### abstract def #<<(u: URL): ProcessBuilder

   Append the contents from a `java.net.URL` to this file

4. #### abstract def #<<(f: File): ProcessBuilder

   Append the contents of a `java.io.File` to this file

5. #### abstract def toSink: ProcessBuilder

   Attributes
     protected
   Definition Classes
     Sink

6. #### abstract def toSource: ProcessBuilder

   Attributes
     protected
   Definition Classes
     Source

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def #<(b: ProcessBuilder): ProcessBuilder

   Reads the output of a scala.sys.process.ProcessBuilder into the input stream of this process.

   Reads the output of a scala.sys.process.ProcessBuilder into the input stream of this process.

   Definition Classes
     Sink

4. #### def #<(in: ⇒ InputStream): ProcessBuilder

   Reads the given InputStream into the input stream of this process.

   Reads the given InputStream into the input stream of this process. The argument is call-by-name, so the stream is recreated, read, and closed each time this process is executed.

   Definition Classes
     Sink

5. #### def #<(f: URL): ProcessBuilder

   Reads the given URL into the input stream of this process.

   Reads the given URL into the input stream of this process.

   Definition Classes
     Sink

6. #### def #<(f: File): ProcessBuilder

   Reads the given file into the input stream of this process.

   Reads the given file into the input stream of this process.

   Definition Classes
     Sink

7. #### def #>(b: ProcessBuilder): ProcessBuilder

   Writes the output stream of this process to a scala.sys.process.ProcessBuilder.

   Writes the output stream of this process to a scala.sys.process.ProcessBuilder.

   Definition Classes
     Source

8. #### def #>(out: ⇒ OutputStream): ProcessBuilder

   Writes the output stream of this process to the given OutputStream.

   Writes the output stream of this process to the given OutputStream. The argument is call-by-name, so the stream is recreated, written, and closed each time this process is executed.

   Definition Classes
     Source

9. #### def #>(f: File): ProcessBuilder

   Writes the output stream of this process to the given file.

   Writes the output stream of this process to the given file.

   Definition Classes
     Source

10. #### def #>>(f: File): ProcessBuilder

    Appends the output stream of this process to the given file.

    Appends the output stream of this process to the given file.

    Definition Classes
      Source

11. #### def +(other: String): String

    Implicit information
      This member is added by an implicit conversion from FileBuilder to any2stringadd[FileBuilder] performed by method any2stringadd in scala.Predef.
    Definition Classes
      any2stringadd

12. #### def ->[B](y: B): (FileBuilder, B)

    Implicit information
      This member is added by an implicit conversion from FileBuilder to ArrowAssoc[FileBuilder] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @inline()

13. #### final def ==(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

15. #### def cat: ProcessBuilder

    Returnes a scala.sys.process.ProcessBuilder representing this `Source`.

    Returnes a scala.sys.process.ProcessBuilder representing this `Source`.

    Definition Classes
      Source

16. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

17. #### def ensuring(cond: (FileBuilder) ⇒ Boolean, msg: ⇒ Any): FileBuilder

    Implicit information
      This member is added by an implicit conversion from FileBuilder to Ensuring[FileBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: (FileBuilder) ⇒ Boolean): FileBuilder

    Implicit information
      This member is added by an implicit conversion from FileBuilder to Ensuring[FileBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean, msg: ⇒ Any): FileBuilder

    Implicit information
      This member is added by an implicit conversion from FileBuilder to Ensuring[FileBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: Boolean): FileBuilder

    Implicit information
      This member is added by an implicit conversion from FileBuilder to Ensuring[FileBuilder] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

23. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

24. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from FileBuilder to StringFormat[FileBuilder] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Definition Classes
      AnyRef → Any

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def →[B](y: B): (FileBuilder, B)

    Implicit information
      This member is added by an implicit conversion from FileBuilder to ArrowAssoc[FileBuilder] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Source

### Inherited from Sink

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from FileBuilder to any2stringadd[FileBuilder]

### Inherited by implicit conversion StringFormat from FileBuilder to StringFormat[FileBuilder]

### Inherited by implicit conversion Ensuring from FileBuilder to Ensuring[FileBuilder]

### Inherited by implicit conversion ArrowAssoc from FileBuilder to ArrowAssoc[FileBuilder]

### Ungrouped